Name:           glite-lbjp-common-jp-interface
Version:        2.3.9
Release:        1%{?dist}
Summary:        Public API to JP service internal interface

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.jp-interface/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-db-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
Definition of interfaces required to build plugins for Job Provenance services
and implementation of minimal library of support functions.


%package        devel
Summary:        Development files for gLite L&B/JP interface library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
interface library.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lbjp-common.jp-interface
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_jp_common.so.2
%{_libdir}/libglite_jp_common.so.2.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/jp
%{_includedir}/glite/jp/types.h
%{_includedir}/glite/jp/indexdb.h
%{_includedir}/glite/jp/attr.h
%{_includedir}/glite/jp/file_plugin.h
%{_includedir}/glite/jp/context.h
%{_includedir}/glite/jp/type_plugin.h
%{_includedir}/glite/jp/backend.h
%{_includedir}/glite/jp/known_attr.h
%{_includedir}/glite/jp/builtin_plugins.h
%{_libdir}/libglite_jp_common.so


%changelog
* Sat Dec 07 2013 František Dvořák <vatri@civ.zcu.cz> - 2.3.9-1
- Initial package
